/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLAnchorElement_H__
#define __GdomHTMLAnchorElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLAnchorElement GdomHTMLAnchorElement;
typedef struct _GdomHTMLAnchorElementClass GdomHTMLAnchorElementClass;


#define GDOM_TYPE_HTML_ANCHOR_ELEMENT            (gdom_html_anchor_element_get_type())
#define GDOM_HTML_ANCHOR_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_ANCHOR_ELEMENT, GdomHTMLAnchorElement))
#define GDOM_HTML_ANCHOR_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_ANCHOR_ELEMENT, GdomHTMLAnchorElement)Class)
#define GDOM_IS_HTML_ANCHOR_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_ANCHOR_ELEMENT))
#define GDOM_IS_HTML_ANCHOR_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_ANCHOR_ELEMENT))
#define GDOM_HTML_ANCHOR_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_ANCHOR_ELEMENT, GdomHTMLAnchorElementClass))

typedef struct _GdomHTMLAnchorElementPrivate GdomHTMLAnchorElementPrivate;

struct _GdomHTMLAnchorElement {
    GdomHTMLElement parent_instance;
    GdomHTMLAnchorElementPrivate *priv;
};

struct _GdomHTMLAnchorElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_anchor_element_get_type (void);

WEBKIT_API gchar *
gdom_html_anchor_element_to_string (GdomHTMLAnchorElement *thiz);

G_END_DECLS

#endif /* __GdomHTMLAnchorElement_H__ */
